org.eclipse.emf.cdo.util

## Class CommitIntegrityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.DataIntegrityException
        - - org.eclipse.emf.cdo.util.CommitIntegrityException

- All Implemented Interfaces:
    Serializable

      public class CommitIntegrityException
      extends DataIntegrityException

  A local `data integrity exception` that indicates that the subset of object modifications in a `partial commit` is inconsistent.
  Since:
    4.0
  Author:
    Caspar De Groot
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitIntegrityException(String msg, Set<? extends EObject> missingObjects)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<? extends EObject>` | `getMissingObjects()`
    `boolean` | `isLocal()`

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitIntegrityException

          public CommitIntegrityException(String msg,
                                          Set<? extends EObject> missingObjects)

  - ### Method Detail

    - #### getMissingObjects

          public Set<? extends EObject> getMissingObjects()

    - #### isLocal

          public boolean isLocal()

      Overrides:
        `isLocal` in class `CommitException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html